Get Historical ERC20-Token Account Balance by BlockNo
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": "135499"
}
Tokens
Get Historical ERC20-Token Account Balance by BlockNo
Retrieves the ERC-20 token balance for a specified address at a given block height.
GET
/
v2
/
api
Get Historical ERC20-Token Account Balance by BlockNo
This is a PRO endpoint, available to the Standard Plan and above
This endpoint is throttled to 2 calls/second regardless of API Pro tier.
{
"status": "1",
"message": "OK",
"result": "135499"
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our supported chains.
Set to account for this endpoint.
Set to tokenbalancehistory for this endpoint.
Contract address of the ERC-20 token.
Address to check for balance.
Block number to check balance for.
Response
200 - application/json
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
Historical token balance at the given block, in the token's smallest unit.